import { createRouter, createWebHistory } from 'vue-router';
import UserSpider from '../components/UserSpider.vue';
import TwitterList from '../views/TwitterList.vue';
import Home from '@/views/Home.vue';
import UserList from '@/views/UserList.vue';

const routes = [
  {
    path: '/',
    name: 'Home',
    component: Home,
  },
  {
    path: '/spider',
    name: 'UserSpider',
    component: UserSpider,
  },
  {
    path: '/twitter',
    name: 'TwitterList',
    component: TwitterList,
  },
  {
    path: '/user',
    name: 'UserList',
    component: UserList,
  },
];

const router = createRouter({
  history: createWebHistory(process.env.BASE_URL),
  routes,
});

export default router;
