const { defineConfig } = require('@vue/cli-service')

module.exports = defineConfig({
  transpileDependencies: true,
  devServer: {
    proxy: {
      '/api': {
        target: 'http://127.0.0.1:8088', // 代理到你的本地服务器
        changeOrigin: true,  // 如果是跨域请求，设置为 true
        pathRewrite: {
          '^/api': '',  // 将接口路径的 `/api` 去掉，直接代理到后端接口
        },
      },
    },
  },
})
